%define         anolis_release 18
Name:           which
Version:        2.21
Release:        %{anolis_release}%{?dist}
Summary:        Displays where a particular program in your path is located 

License:        GPLv3
URL:            https://savannah.gnu.org/projects/which/
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        which2.sh
Source2:        which2.csh

Patch0:         0001-which-2.21-coverity-fixes.patch

BuildRequires:  make gcc readline-devel

%description
The which command shows the full pathname of a specified program, if
the specified program is in your PATH.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1


%build
%configure
%make_build


%install
%make_install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -p -m 644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/

%generate_compatibility_deps

%files
%license COPYING
%attr(0644,root,root) %{_sysconfdir}/profile.d/which2.*
%{_bindir}/which
%{abidir}/%{name}*-option.list
%{_infodir}/which.info*
%{_mandir}/man1/which.1*

%files doc
%doc EXAMPLES README AUTHORS NEWS

%changelog
* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 2.21-18
- Bump release for upgrading from anolis 8

* Fri Dec 09 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.21-3
- add abi files
- fixed coverity issues for which

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.21-2
- add doc package

* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 2.21-1
- Init for Anolis OS 23 
